/*
 * 组件：按钮
 * 组件注册编号：02-0002
 * 标准结构1级
 * 属性：
 * sz    规格（默认：m   s | m | l）
 * co    颜色 (默认：read  read | back | main | vice | info | success | warn | error)
 * 示例：
 * 关联：html+css
 */


.mc-btn {
  user-select: none;
  -webkit-user-select: none;
  display: inline-block;
  text-align: center;
  line-height: 2.5rem;
  cursor: pointer;
  padding: 0 1rem;
  border-radius: 3px;
  background: #fff;
  color: $co-read;
  box-shadow: inset 0 0 1px rgba(0,0,0,.3);
  box-sizing: border-box;
}

//颜色
.mc-btn[data-co="back"] {
  background-color: $co-back;
}

.mc-btn[data-co="main"] {
  background-color: $co-main;
  color: #fff;
}

.mc-btn[data-co="vice"] {
  background-color: $co-vice;
  color: #fff;
}

.mc-btn[data-co="warn"] {
  background-color: $co-warn;
  color: #fff;
}

//规格
.mc-btn[data-sz="s"] {
  line-height: 2rem
}

.mc-btn[data-sz="l"] {
  line-height: 3rem
}

.mc-btn:disabled {
  opacity: .5;
}

.mc-btn:active {
  box-shadow: inset 0 0 1000px rgba(0, 0, 0, .1);
  transform: scale(.99, .98);
}
